[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataLink.DataSource

Datasource this datalink is connected to

## Declaration

Source position: db.pas line 1699

`public property TDataLink.DataSource: TDatasource read FDataSource write SetDataSource;`

## Description

Datasource should be set to a TDatasource instance to get access to the dataset it is connected to. A datalink never points directly to a TDataset instance, always to a datasource. When the datasource is enabled or disabled, all TDatalink instances connected to it are enabld or disabled at once.

## See also

TDataset |  | Base class for records-based data-access
TDatasource |  | Component representing the link between a local (GUI) component and a dataset

The latest version of this document can be found at lazarus-ccr.sourceforge.net .